show,git_commit-method {git2r} | R Documentation

## Brief summary of commit

### Description

Displays the first seven characters of the sha, the date and the summary of the commit message: `[shortened sha] yyyy-mm-dd: summary`

### Usage

    ## S4 method for signature 'git_commit'
    show(object)

### Arguments

`object` | The commit `object`

### Value

None (invisible 'NULL').

### Examples

    ## Not run:
    ## Initialize a repository
    path <- tempfile(pattern="git2r-")
    dir.create(path)
    repo <- init(path)

    ## Config user
    config(repo, user.name="Alice", user.email="alice@example.org")

    ## Write to a file and commit
    writeLines("Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do",
               file.path(path, "example.txt"))
    add(repo, "example.txt")
    commit(repo, "First commit message")

    ## Brief summary of commit in repository
    show(commits(repo)[[1]])

    ## End(Not run)

[Package git2r version 0.14.0 Index]